using Minio;

public static class MinioClientFactory
{
    public static IMinioClient Build(MinioOptions opts)
    {
        var client = new MinioClient()
            .WithEndpoint(opts.Endpoint)
            .WithCredentials(opts.AccessKey, opts.SecretKey);

        if (opts.UseSSL) client = client.WithSSL();

        return client.Build();
    }
}